Skip to main content
PUT
/
v1
/
links
/
{link_id}
Update Link
curl --request PUT \
  --url https://api.agenthuman.com/v1/links/{link_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": {},
  "status": "<string>",
  "expires_at": {},
  "use_limit": {}
}
'
{
  "success": true,
  "link": {
    "link_id": "lnk_01J8ZK4R2N5M6P7Q8W4T",
    "name": "Updated Name",
    "url": "https://app.agenthuman.com/s/lnk_01J8ZK4R2N5M6P7Q8W4T",
    "agent": {
      "agent_id": "agnt_01J8ZK4R2N5M6P7Q8W4T",
      "name": "Support Agent",
      "avatar_image_url": "https://cdn.example.com/avatars/support.jpg",
      "created_at": "2024-01-15T10:00:00Z",
      "voice_agent": {
        "provider": "ElevenLabs",
        "agent_id": "el_agent_xxxxxxxxxxxxxxxx",
        "auth_method": "public"
      }
    },
    "status": "paused",
    "uses": 12,
    "use_limit": 100,
    "created_at": "2024-01-15T10:30:00Z",
    "expires_at": null
  }
}
All fields are optional. Only fields included in the request body will be updated.

Path Parameters

The unique link identifier (starts with lnk_).

Body

name
string | null
New display name for the link. Pass null to clear the name.
status
string
New link status. Must be one of: active, paused, expired.
expires_at
string | null
New ISO 8601 expiry timestamp. Pass null to remove the expiry (link never expires).
use_limit
number | null
New session limit. Must be a positive integer greater than the current uses count. Pass null for unlimited sessions.

Response

success
boolean
Whether the update was successful.
The updated Link object, including the nested Agent.
{
  "success": true,
  "link": {
    "link_id": "lnk_01J8ZK4R2N5M6P7Q8W4T",
    "name": "Updated Name",
    "url": "https://app.agenthuman.com/s/lnk_01J8ZK4R2N5M6P7Q8W4T",
    "agent": {
      "agent_id": "agnt_01J8ZK4R2N5M6P7Q8W4T",
      "name": "Support Agent",
      "avatar_image_url": "https://cdn.example.com/avatars/support.jpg",
      "created_at": "2024-01-15T10:00:00Z",
      "voice_agent": {
        "provider": "ElevenLabs",
        "agent_id": "el_agent_xxxxxxxxxxxxxxxx",
        "auth_method": "public"
      }
    },
    "status": "paused",
    "uses": 12,
    "use_limit": 100,
    "created_at": "2024-01-15T10:30:00Z",
    "expires_at": null
  }
}